# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Fri Jan 12 08:56:54 2024
# ------------------------------------------------

package:
  name: pywavelets
  version: 1.5.0
source:
  sha256: d9e25c7cabef7ccd53f5fead26ab22152fe4cb937bad7411b5d506e2b5de38f6
  url: https://pypi.io/packages/source/p/pywavelets/pywavelets-1.5.0.tar.gz
build:
  number: '0'
  script: /croot/pywavelets_1705049820073/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeh/bin/python
    -m pip install . --no-deps --no-build-isolation --ignore-installed --no-cache-dir
    -vv
  string: py311hf4808d0_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - blas 1.0 mkl
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.12.12 h06a4308_0
    - cython 3.0.6 py311h5eee18b_0
    - intel-openmp 2023.1.0 hdb19cb5_46306
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - meson 1.2.1 py311h06a4308_0
    - meson-python 0.13.1 py311h5eee18b_0
    - mkl 2023.1.0 h213fc3f_46344
    - mkl-service 2.4.0 py311h5eee18b_1
    - mkl_fft 1.3.8 py311h5eee18b_0
    - mkl_random 1.2.4 py311hdb19cb5_0
    - ncurses 6.4 h6a678d5_0
    - ninja 1.10.2 h06a4308_5
    - ninja-base 1.10.2 hd09550d_5
    - numpy 1.23.5 py311h08b1b3b_1
    - numpy-base 1.23.5 py311hf175353_1
    - openssl 3.0.12 h7f8727e_0
    - packaging 23.1 py311h06a4308_0
    - pip 23.3.1 py311h06a4308_0
    - pyproject-metadata 0.7.1 py311h06a4308_0
    - python 3.11.7 h955ad1f_0
    - readline 8.2 h5eee18b_0
    - setuptools 68.2.2 py311h06a4308_0
    - sqlite 3.41.2 h5eee18b_0
    - tbb 2021.8.0 hdb19cb5_0
    - tk 8.6.12 h1ccaba5_0
    - tomli 2.0.1 py311h06a4308_0
    - tzdata 2023d h04d1e81_0
    - wheel 0.41.2 py311h06a4308_0
    - xz 5.4.5 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - libgcc-ng >=11.2.0
    - numpy >=1.23.5,<2.0a0
    - python >=3.11,<3.12.0a0
test:
  commands:
    - pip check
    - python -c "import sys; import pywt; sys.exit(not pywt.test(verbose=2, label='full',
      tests=['pywt'], extra_argv=['--durations=50']))"
  imports:
    - pywt
  requires:
    - pip
    - pytest
about:
  description: 'PyWavelets is a free Open Source library for wavelet transforms in
    Python.

    Wavelets are mathematical basis functions that are localized in both time and
    frequency.

    Wavelet transforms are time-frequency transforms employing wavelets. They are
    similar to

    Fourier transforms, the difference being that Fourier transforms are localized
    only in

    frequency instead of in time and frequency.

    '
  dev_url: https://github.com/PyWavelets/pywt
  doc_url: https://pywavelets.readthedocs.io
  home: https://github.com/PyWavelets/pywt
  license: MIT
  license_family: MIT
  license_file:
    - LICENSE
    - LICENSES_bundled.txt
  summary: Discrete Wavelet Transforms in Python
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 726defbd-a7e1-4656-96ce-01f69d275efc
  recipe-maintainers:
    - grlee77
    - jakirkham
    - ocefpaf
  remote_url: git@github.com:AnacondaRecipes/pywavelets-feedstock.git
  sha: 9ffa1fbd32eebcc0358d66dceba1dd0dfd9d3cee
